> ## Documentation Index
> Fetch the complete documentation index at: https://docs.parcha.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get agent cost estimate

> Calculate the estimated cost in credits for running all checks in an agent



## OpenAPI

````yaml api-reference/openapi.yaml get /getAgentCostEstimate
openapi: 3.0.0
info:
  title: Parcha API
  version: 1.0.0
  description: API for managing Parcha jobs and checks
servers:
  - url: https://api.parcha.ai/api/v1
    description: Agent Hub API server
  - url: https://demo.parcha.ai/api/v1
    description: Sandbox API server
  - url: https://us1.parcha.ai/api/v1
    description: Legacy API server
  - url: http://{your-company-domain}.parcha.ai/api/v1
    description: Custom Enterpris server (your company's API server)
security:
  - bearerAuth: []
paths:
  /getAgentCostEstimate:
    get:
      summary: Get agent cost estimate
      description: >-
        Calculate the estimated cost in credits for running all checks in an
        agent
      parameters:
        - name: agent_key
          in: query
          required: true
          schema:
            type: string
          description: The agent key to estimate costs for
      responses:
        '200':
          description: Cost estimate retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  agent_key:
                    type: string
                  total_estimated_cost:
                    type: number
                  check_costs:
                    type: object
                  agent_name:
                    type: string
                  agent_description:
                    type: string
        '404':
          description: Agent not found
        '500':
          description: Cost estimation failed
      security:
        - bearerAuth: []
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      description: >-
        API key obtained from your Parcha account settings. Include as Bearer
        token in the Authorization header.

````